/*
 * $Id: BaseAggregator.java,v 1.1 2010/01/31 02:46:11 srevilak Exp $
 */

package edu.umb.bench.framework;

import java.util.List;
import java.util.Map;
import java.util.HashMap;

/**
 * A very simple aggregator implementation that
 * makes a good heuristic attempt to combine maps.
 *
 * @version $Revision: 1.1 $ $Date: 2010/01/31 02:46:11 $
 */
public class BaseAggregator implements IAggregator {

    private Map<String,Object> mData;

    public BaseAggregator() {
        mData = new HashMap<String,Object>();
    }

    /**
     * Adds a list of worker results, using
     * {@link Util#addMaps}.
     */
    public void addWorkerResults(List<Map<String,Object>> results) {
        if (results != null) {
            Util.addMaps(mData, results);
        }
    }

    /**
     * Adds the results from the workload auditor, using
     * {@link Util#addMaps}.
     */
    public void addAuditorResults(Map<String,Object> results) {
        if (results != null) {
            Util.addMaps(mData, results);
        }
    }


    /**
     * Returns the collection of data that has been aggregated so for.
     */
    public Map<String,Object> getResults() {
        return mData;
    }

}
