/*
 * $Id: BaseObject.java,v 1.3 2010/04/21 16:15:28 srevilak Exp $
 */

package edu.umb.bench.framework;
import java.sql.Connection;
import java.util.Properties;

/**
 * A base object implementation.
 *
 * @version $Revision: 1.3 $ $Date: 2010/04/21 16:15:28 $
 */
public abstract class BaseObject implements IConnectLog {

    enum TestState { WARMUP, MEASUREMENT, COOLDOWN, DONE; }

    /**
     * Global test state variable
     */
    public static volatile TestState TEST_STATE = TestState.WARMUP;


    private Connection mConnection;
    private ILogger mLog;
    private Properties mProperties;
    
    public void setConnection(Connection conn) {
        mConnection = conn;
    }

    protected Connection getConnection() {
        return mConnection;
    }


    public void setLogger(ILogger log) {
        mLog = log;
    }


    public ILogger getLogger() {
        return mLog;
    }

    public void setConfig(Properties props) {
        mProperties = props;
    }

    public Properties getConfig() {
        return mProperties;
    }

}
