/*
 * $Id: BaseSetup.java,v 1.3 2010/05/17 17:18:21 srevilak Exp $
 */

package edu.umb.bench.framework;

import java.sql.SQLException;

/**
 * Base setup class.
 *
 * <p> You can creates setup objects by extending this class.  You can
 * also use this class as a `no-op' setup object (i.e., you are
 * creating the schema outside ofthe benchmarking framework).
 */
public class BaseSetup extends BaseObject implements ISetup {

    private double mScale;

    /**
     * Sets the scale for this transaction.  Scale is scaling factor
     * (i.e., as in TPC benchmarks)
     */
    public void setScale(double scale) {
        mScale = scale;
    }

    public double getScale() {
        return mScale;
    }


    /**
     * In this class, createSchema is a stub that does nothing.
     */
    public void createSchema() throws SQLException {

    }

    
    /**
     * In this class, fillTables is a stub that does nothing.
     */
    public void fillTables() throws SQLException {
        
    }


    /**
     * The base version of warmup does nothing.
     */
    public void warmup() throws SQLException {

    }
}
