/*
 * $Id: BaseTransaction.java,v 1.3 2011/06/03 01:16:05 srevilak Exp $
 */

package edu.umb.bench.framework;

import java.sql.SQLException;
import java.sql.Connection;

/**
 * Base class for transactions
 */
public abstract class BaseTransaction<T> 
    extends BaseObject implements ITransaction<T> {

    /**
     * @inheritDoc
     *
     * <p>This method implements the default rollback behavior.
     * Rollback the transaction.  In the event of an error during
     * rollback, log the error.
     */
    public void rollback() {
        try {
            getConnection().rollback();
        }
        catch (SQLException e) {
            getLogger().error("rollback error", e);
        }
    }


    /**
     * Commits this transaction
     */
    public void commit() throws SQLException {
        Connection conn = getConnection();
        conn.commit();
    }
}
            
                                                 
