/*
 * $Id: IAggregator.java,v 1.1 2010/01/30 21:47:41 srevilak Exp $
 */

package edu.umb.bench.framework;

import java.util.List;
import java.util.Map;

/**
 * Interface for aggregator objects, which combine measurements results
 * for the different portions of a test.
 *
 * @version $Revision: 1.1 $ $Date: 2010/01/30 21:47:41 $
 */
public interface IAggregator {

    /**
     * Adds a list of worker results.  The list will contain
     * one set of results per worker thread.
     *
     * @see IWorker#getResults
     */
    public void addWorkerResults(List<Map<String,Object>> results);

    /**
     * Adds the results from the workload auditor
     *
     * @see IAuditor#getResults
     */
    public void addAuditorResults(Map<String,Object> results);


    /**
     * generate and return the final set of benchmark results
     */
    public Map<String,Object> getResults();

}
