/*
 * $Id: IConnectLog.java,v 1.3 2010/01/31 19:22:20 srevilak Exp $
 */ 

package edu.umb.bench.framework;

import java.sql.Connection;
import java.util.Properties;

/**
 * Most benchmark objects will need to accept a connection
 * and a logger.  This interface represents those operations.
 *
 * @version $Revision: 1.3 $ $Date: 2010/01/31 19:22:20 $
 */
public interface IConnectLog {

    /**
     * Establishes a connection for this object.
     * You should assume that the connection is configured
     * with autocommit off.
     */
    public void setConnection(Connection c);


    /**
     * Establishes a diagnostic logger for this object.
     */
    public void setLogger(ILogger log);


    /**
     * Sets the configuration for this object
     */
    public void setConfig(Properties conf);

}

