/*
 * $Id: IEndListener.java,v 1.1 2011/06/03 01:16:05 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * An event listener, notified at the tail end of a transaction
 * sequence.  If present, this listener should be notified after
 * commit (or rollback), and after any error handling and statistics
 * gathering.
 *
 * Sample usage:
 *
 * <pre>
 * if (atEndListener != null) {
 *    endListener.atEnd(this);
 * }
 * connection.commit()
 * </pre>
 *
 * @author srevilak
 * @since 6/2/2011
 */
public interface IEndListener {

    public void atEnd(Object notifier);

}
