/*
 * $Id: IHotspot.java,v 1.2 2010/04/26 01:41:42 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * Interface for a class that selects keys according to a hotspot distribution
 */
public interface IHotspot {

    /**
     * Returns a keyvalue according to some hotspot distribution
     */
    public int getValue();
    
    /**
     * Returns the number of row in the table
     */
    public int getTableSize();

    /**
     * Returns the size of the hotspot (as a number of row).
     */
    public int getHotspotSize();


    /**
     * Returns the probability of choosing a row from the hotspot
     */
    public double getHotspotProbability();

}
