/*
 * $Id: ILogger.java,v 1.1 2010/01/29 03:10:42 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * A simple logging interface.  This is not intended to be a "real"
 * logging package.  Instead, it's simply a way to emit diagnostic
 * messages without committing to any specific logging package.
 *
 * @version $Revision: 1.1 $ $Date: 2010/01/29 03:10:42 $
 */
public interface ILogger {

    /**
     * Logs an informational message.
     */
    public void info(String msg);

    /**
     * Logs a warning message
     */
    public void warn(String msg);

    /**
     * Logs an error message
     */
    public void error(String msg);

    /**
     * Logs an error message, with exception 
     */
    public void error(String msg, Throwable t);
}
