/*
 * $Id: ITransactionFactory.java,v 1.2 2010/01/31 00:58:58 srevilak Exp $
 */

package edu.umb.bench.framework;

/**
 * Interface for transaction factories.
 *
 * @version $Revision: 1.2 $ $Date: 2010/01/31 00:58:58 $
 * @see ITransaction
 */

public interface ITransactionFactory<T> extends IConnectLog {


    /**
     * Tells the transaction factory to 
     * initialize itself
     */
    public void init();

    /**
     * Sets the scale used for this benchmark
     *
     * @see ISetup#setScale
     */
    public void setScale(double scale);


    /**
     * Returns a new transaction object.  In this sense `transaction'
     * represents an instance of a particular workload transaction
     * profile.
     */
    public ITransaction<T> createTransaction();

}
