/*
 * $Id: Constants.java,v 1.2 2010/03/08 20:02:06 srevilak Exp $
 * $Source: /home/srevilak/Documents/schoolwork/phd/REPOSITORY/cvsroot/innobase-5.1.31-si/benchmark/src/edu/umb/bench/hedge/Constants.java,v $
 */

package edu.umb.bench.hedge;

/**
 * Constants used by hedge benchmark.
 *
 * @version $Revision: 1.2 $ $Date: 2010/03/08 20:02:06 $
 */
public class Constants {
    
    private Constants() {
        /* just constants */
    }

    /**
     * Rows per scale ({@value}).
     */
    public static final int ROWS_PER_SCALE = 10000;

    
    /**
     * Property key holding number of rows.
     */
    public static final String KEY_NUM_ROWS = "num-rows";

    /**
     * Configuation key with a probability distribution
     * for choosing select columns
     */
    public static final String CONFIG_SELECT_DISTRIBUTION
        = "bench.select.distribution";


    /**
     * Result key for number of times that k1 was used in select
     */
    public static final String SELECT_K1_COUNT = "select-k01-count";

    /**
     * Result key for number of times that k2 was used in select
     */
    public static final String SELECT_K2_COUNT = "select-k02-count";

    /**
     * Result key for number of times that k4 was used in select
     */
    public static final String SELECT_K4_COUNT = "select-k04-count";

    /**
     * Result key for number of times that k8 was used in select
     */
    public static final String SELECT_K8_COUNT = "select-k08-count";
        
    /**
     * Result key for number of times that k16 was used in select
     */
    public static final String SELECT_K16_COUNT = "select-k16-count";
        

    /**
     * Result key for number of times that k32 was used in select
     */
    public static final String SELECT_K32_COUNT = "select-k32-count";
        
    /**
     * Audit key holding net value before a test run.
     */ 
    public static final String AUDIT_VALUE_BEFORE = "value-before";

    /**
     * Audit key holding net value after a test run.
     */
    public static final String AUDIT_VALUE_AFTER = "value-after";

}
