/*
 * $Id: HedgeWorker.java,v 1.2 2010/03/08 20:02:06 srevilak Exp $
 */

package edu.umb.bench.hedge;

import edu.umb.bench.framework.BaseWorker;


import java.util.Map;
import java.util.HashMap;

/**
 * Worker thread for hedge benchmark.
 *
 * @version $Revision: 1.2 $ $Date: 2010/03/08 20:02:06 $
 */
public class HedgeWorker extends BaseWorker<HedgeResult> {

    /* number of times each Kn column was used */
    int mSelectColumns[];

    public HedgeWorker() {
        super();
        mSelectColumns = new int[Card.K_COUNT];
    }

    /**
     * Adds the results for a single transaction.  At present,
     * this is a no-op.
     */
    public void addResult(HedgeResult result) {
        int column = result.getColumn();
        if (column >= 0 && column < mSelectColumns.length) {
            mSelectColumns[column]++;
        }
    }

    
    public Map<String,Object> getResults() {

        Map<String,Object> results = new HashMap<String,Object>();

        results.put(Constants.SELECT_K1_COUNT, mSelectColumns[Card.K1]);
        results.put(Constants.SELECT_K2_COUNT, mSelectColumns[Card.K2]);
        results.put(Constants.SELECT_K4_COUNT, mSelectColumns[Card.K4]);
        results.put(Constants.SELECT_K8_COUNT, mSelectColumns[Card.K8]);
        results.put(Constants.SELECT_K16_COUNT, mSelectColumns[Card.K16]);
        results.put(Constants.SELECT_K32_COUNT, mSelectColumns[Card.K32]);

        return results;
    }

}
