/*
 * $Id: SimpleTransaction.java,v 1.11 2011/06/03 01:16:06 srevilak Exp $
 */

package edu.umb.bench.simple;

import edu.umb.bench.framework.BaseTransaction;
import java.sql.SQLException;
import java.sql.PreparedStatement;
import java.sql.Connection;
import java.sql.ResultSet;

/**
 * Simple select transaction.
 *
 * @version $Revision: 1.11 $ $Date: 2011/06/03 01:16:06 $
 */
public class SimpleTransaction extends BaseTransaction<SimpleResult> {

    private SimpleResult mResult;
    protected int mValue1;
    protected int mValue2;


    public SimpleTransaction() {
        super();
        mResult = new SimpleResult();
    }

    public void setValues(int v1, int v2) {
        mValue1 = v1;
        mValue2 = v2;
    }


    public void execute(boolean warmup) throws SQLException {
        PreparedStatement ps = null;
        Connection conn = getConnection();
        ResultSet rs = null;

        try {
            ps = conn.prepareStatement
                ("select value from simple where id = ?");
            ps.setInt(1, mValue1);
            ps.execute();
            rs = ps.getResultSet();

            readRs(rs);
            rs.close();

            ps.setInt(1, mValue2);
            ps.execute();
            rs = ps.getResultSet();

            readRs(rs);
            rs.close();

        }
        finally {
            if (ps != null) {
                ps.close();
            }
        }

        mResult.failed = false;
    }


    private int readRs(ResultSet rs) throws SQLException {
        assert rs != null;
        int sum = 0;
        while (rs.next()) {
            sum += rs.getInt("value");
        }
        return sum;
    }


    public SimpleResult getResults() {
        return mResult;
    }

}
