/*
 * $Id: SimpleTransactionFactory.java,v 1.4 2010/04/22 01:48:21 srevilak Exp $
 */

package edu.umb.bench.simple;

import edu.umb.bench.framework.BaseTransactionFactory;
import edu.umb.bench.framework.ITransaction;
import edu.umb.bench.framework.INumberGenerator;
import edu.umb.bench.framework.GeneratorUnif;

/**
 * Simple transaction factory.
 */
public class SimpleTransactionFactory
    extends BaseTransactionFactory<SimpleResult> {

    private int mRange;
    private INumberGenerator mGenerator;

    public void init() {
        mRange = (int) (getScale() * Constants.ROWS_PER_SCALE);
        mGenerator = new GeneratorUnif();
    }

    /**
     * We return a single transaction profile
     */
    public ITransaction<SimpleResult> createTransaction() {
        assert mRange > 0;
        SimpleTransaction t = new SimpleTransaction();
        commonSetup(t);
        t.setValues((int) (mGenerator.getNumber() * mRange), 
                    (int) (mGenerator.getNumber() * mRange));
        return t;
    }
}
