/*
 * $Id: SimpleTransactionSP.java,v 1.1 2010/04/22 00:47:55 srevilak Exp $
 */

package edu.umb.bench.simple;

import edu.umb.bench.framework.BaseTransaction;
import java.sql.SQLException;
import java.sql.Connection;
import java.sql.CallableStatement;
import java.sql.Types;

/**
 * Simple select transaction, stored procedure version
 *
 * @version $Revision: 1.1 $ $Date: 2010/04/22 00:47:55 $
 */
public class SimpleTransactionSP extends SimpleTransaction {

    public void execute(boolean warmup) throws SQLException {
        CallableStatement cs = null;
        Connection conn = getConnection();

        try {
            cs = conn.prepareCall("{call simple_select(?,?,?)}");
            
            cs.registerOutParameter(3, Types.INTEGER);
            cs.setInt(1, mValue1);
            cs.setInt(2, mValue2);

            cs.execute();

            int rv = cs.getInt(3);
        }
        finally {
            if (cs != null) {
                cs.close();
            }
        }

        getResults().failed = false;
    }

}
