/*
 * $Id: SimpleWorker.java,v 1.4 2010/04/21 16:15:28 srevilak Exp $
 */

package edu.umb.bench.simple;

import edu.umb.bench.framework.BaseWorker;


import java.util.Map;
import java.util.HashMap;

/**
 * Worker thread for simple benchmark.
 *
 * @version $Revision: 1.4 $ $Date: 2010/04/21 16:15:28 $
 */
public class SimpleWorker extends BaseWorker<SimpleResult> {

    private int success;
    private int failed;

    public SimpleWorker() {
        super();
        success = 0;
        failed = 0;
    }
        

    public void addResult(SimpleResult result) {
        if (result == null) {
            return;
        }
        
        if (result.failed) {
            failed++;
        }
        else {
            success++;
        }
    }


    /**
     * Gets the aggregated results of all transactions run by 
     * this worker.
     *
     * @return a map of Key/value pairs.  In general, the values will be simple
     * scalars: Strings, or subclasses of Number.
     */
    public Map<String,Object> getResults() {
        Map<String,Object> m = new HashMap<String,Object>();
        m.put(Constants.RESULT_SUCCESS, Integer.valueOf(success));
        m.put(Constants.RESULT_FAILURE, Integer.valueOf(failed));
        return m;
    }


}
