/*
 * $Id: BenchConfigTest.java,v 1.1 2010/02/03 16:36:10 srevilak Exp $
 */

package edu.umb.bench.framework;

import org.junit.Test;
import org.junit.Before;
import org.junit.After;
import static org.junit.Assert.assertTrue;
import static org.junit.Assert.assertFalse;

public class BenchConfigTest {

    private BenchConfig bc;

    @Before public void setup() {
        bc = new BenchConfig();
    }

    @After public void tearDown() {
        
    }


    public static void main(String argv[]) {
        TestUtil.runClass(BenchConfigTest.class);
    }



    /*==================================================================
     */

    @Test public void testToggleStep() {
        boolean rv = bc.isStepEnabled(BenchConfig.STEP_ALL);
        assertTrue("STEP_ALL", rv);

        bc.disableStep(BenchConfig.STEP_SETUP);

        assertFalse("STEP_SETUP", bc.isStepEnabled(BenchConfig.STEP_SETUP));
        assertTrue("STEP_AUDIT", bc.isStepEnabled(BenchConfig.STEP_AUDIT));
        assertTrue("STEP_TEST", bc.isStepEnabled(BenchConfig.STEP_TEST));
        assertFalse("STEP_ALL", bc.isStepEnabled(BenchConfig.STEP_ALL));
    }

}
