/*
 * $Id: ha_umb_misc.cc,v 1.8 2010/01/10 21:36:05 srevilak Exp $
 */

#include "ha_umb_misc.h"


extern "C" void umb_dump_thd_options(FILE * stream, THD * thd) {
  if (! (stream && thd)) {
    return;
  }
  
  ulonglong options = thd_test_options(thd, ~(ULL(0)));
  if (! options) {
    fprintf(stream, "No options for THD %p\n", thd);
    return;
  }

#define PRINTOPT(x) fprintf(stream, "  " x "\n")

  fprintf(stream, "Options for THD %p\n", thd);

  if (options & SELECT_DISTINCT) {
    PRINTOPT("SELECT_DISTINCT");
  }
  if (options & SELECT_STRAIGHT_JOIN) {
    PRINTOPT("SELECT_STRAIGHT_JOIN");
  }
  if (options & SELECT_DESCRIBE) {
    PRINTOPT("SELECT_DESCRIBE");
  }
  if (options & SELECT_SMALL_RESULT) {
    PRINTOPT("SELECT_SMALL_RESULT");
  }
  
  if (options & SELECT_BIG_RESULT) {
    PRINTOPT("SELECT_BIG_RESULT");
  }
  if (options & OPTION_FOUND_ROWS) {
    PRINTOPT("OPTION_FOUND_ROWS");
  }
  if (options & OPTION_TO_QUERY_CACHE) {
    PRINTOPT("OPTION_TO_QUERY_CACHE");
  }
  if (options & SELECT_NO_JOIN_CACHE) {
    PRINTOPT("SELECT_NO_JOIN_CACHE");
  }
  if (options & OPTION_BIG_TABLES) {
    PRINTOPT("OPTION_BIG_TABLES");
  }
  if (options & OPTION_BIG_SELECTS) {
    PRINTOPT("OPTION_BIG_SELECTS");
  }
  if (options & OPTION_LOG_OFF) {
    PRINTOPT("OPTION_LOG_OFF");
  }
  if (options & OPTION_QUOTE_SHOW_CREATE) {
    PRINTOPT("OPTION_QUOTE_SHOW_CREATE");
  }
  if (options & TMP_TABLE_ALL_COLUMNS) {
    PRINTOPT("TMP_TABLE_ALL_COLUMNS");
  }
  if (options & OPTION_WARNINGS) {
    PRINTOPT("OPTION_WARNINGS");
  }
  if (options & OPTION_AUTO_IS_NULL) {
    PRINTOPT("OPTION_AUTO_IS_NULL");
  }
  if (options & OPTION_FOUND_COMMENT) {
    PRINTOPT("OPTION_FOUND_COMMENT");
  }
  if (options & OPTION_SAFE_UPDATES) {
    PRINTOPT("OPTION_SAFE_UPDATES");
  }
  if (options & OPTION_BUFFER_RESULT) {
    PRINTOPT("OPTION_BUFFER_RESULT");
  }
  if (options & OPTION_BIN_LOG) {
    PRINTOPT("OPTION_BIN_LOG");
  }
  if (options & OPTION_NOT_AUTOCOMMIT) {
    PRINTOPT("OPTION_NOT_AUTOCOMMIT");
  }
  if (options & OPTION_BEGIN) {
    PRINTOPT("OPTION_BEGIN");
  }
  if (options & OPTION_TABLE_LOCK) {
    PRINTOPT("OPTION_TABLE_LOCK");
  }
  if (options & OPTION_QUICK) {
    PRINTOPT("OPTION_QUICK");
  }
  if (options & OPTION_KEEP_LOG) {
    PRINTOPT("OPTION_KEEP_LOG");
  }
  if (options & SELECT_ALL) {
    PRINTOPT("SELECT_ALL");
  }
  if (options & OPTION_NO_FOREIGN_KEY_CHECKS) {
    PRINTOPT("OPTION_NO_FOREIGN_KEY_CHECKS");
  }
  if (options & OPTION_RELAXED_UNIQUE_CHECKS) {
    PRINTOPT("OPTION_RELAXED_UNIQUE_CHECKS");
  }
  if (options & SELECT_NO_UNLOCK) {
    PRINTOPT("SELECT_NO_UNLOCK");
  }
  if (options & OPTION_SCHEMA_TABLE) {
    PRINTOPT("OPTION_SCHEMA_TABLE");
  }
  if (options & OPTION_SETUP_TABLES_DONE) {
    PRINTOPT("OPTION_SETUP_TABLES_DONE");
  }
  if (options & OPTION_SQL_NOTES) {
    PRINTOPT("OPTION_SQL_NOTES");
  }
  if (options & TMP_TABLE_FORCE_MYISAM) {
    PRINTOPT("TMP_TABLE_FORCE_MYISAM");
  }
  if (options & OPTION_PROFILING) {
    PRINTOPT("OPTION_PROFILING");
  }
  fprintf(stream, "\n");
}


/*==================================================================
 * Work around for unit testing.  See test/README.txt for
 * an explanation of this kludgery.
 */
#ifdef UNIV_DEBUG
typedef void (*test_func)(void);
extern "C" void umb_test_ctg_edgelist(void);
extern "C" void umb_test_ctg_basic(void);
extern "C" void umb_test_ctg_prune(void);
extern "C" void umb_test_ctg_ds(void);
extern "C" void umb_test_malloc_mem_heap(void);

extern "C" void umb_test_all(void) {
  test_func tests[] = {
    umb_test_ctg_edgelist,
    umb_test_ctg_basic,
    umb_test_ctg_prune,
    umb_test_ctg_ds,
    umb_test_malloc_mem_heap,
  };

  unsigned n_tests = sizeof(tests)/sizeof(tests[0]);
  fprintf(stderr, "\n%s:%d: UMB_TEST_BEGIN\n\n", __FILE__, __LINE__);
  for (unsigned iter = 0; iter <  n_tests; iter++) {
    tests[iter]();
    fprintf(stderr, "\n");
  }
  fprintf(stderr, "%s:%d: UMB_TEST_END\n\n", __FILE__, __LINE__);
}

#endif
