# $Id: umb_create_umb4.inc,v 1.2 2009/11/27 02:47:56 srevilak Exp $
#
# "standard" definition for umb4, a table with a secondary
# index.  We also provide a stored function for populating
# the table

--disable_warnings
drop procedure if exists test_populate_umb4;
drop table if exists umb4;
--enable_warnings

create table umb4 (
  k1 integer not null primary key COMMENT 'primary key',
  k50 integer COMMENT 'secondary index column', 
  c1 integer COMMENT 'un-indexed value column',
  c2 varchar(32) COMMENT 'padding',
  index k50_idx(k50)
) ENGINE=InnoDB;

delimiter //;
create procedure test_populate_umb4(arg0 integer)
BEGIN
 declare v1 integer default 1;
 declare v2 integer default 0;
 declare v3 integer default 1;
 declare v4 varchar(32) default '012345678901234567890123456789';

 declare xarg integer;
 set xarg = ifnull(arg0, 10);

 while v1 <= xarg DO
   set v2 = v1 % 50;
   set v3 = 1;
   insert into umb4 (k1, k50, c1, c2) values (v1, v2, v3, v4);
   set v1 = v1 + 1;
 END WHILE;

END;
//
delimiter ;//

show create table umb4;


# Local Variables:
# mode: sql
# End:
